[[!meta title="windows assistant fails to set up rsync.net authorized keys"]]

### Please describe the problem.
Having set up a key pair, the assistant is unable to use it to log in. The console only shows a single attempt to log in, when it's adding the key to the remote machine's authorized_keys file. This is evidently failing, as the key is not actually added to authorized_keys, possibly because the shell script it tries to execute is malformed (crazy quoting, I can't untangle it), or possibly because it failed to ask for a password (I expected it to, but it didn't prompt for one). Also, once I do add the key to authorized_keys, I can ssh in using it but asking the assistant to retry still fails.

### What steps will reproduce the problem?
Set up a remote repository.

### What version of git-annex are you using? On what operating system?
Windows 7, Version: 5.20131230-g192d991 

### Please provide any additional information below.

    Failed to make repository
    Something went wrong setting up the repository on the remote server.
    Transcript:
    Permission denied, please try again.
    Permission denied, please try again.
    Permission denied (publickey,gssapi-keyex,gssapi-with-mic,password).

[[!format sh """
[2014-01-01 03:28:05 Eastern Standard Time] call: ssh-keygen ["-P","","-f","C:\\
Users\\FAMILY~1\\AppData\\Local\\Temp\\git-annex-keygen.5\\key"]
Generating public/private rsa key pair.
cygwin warning:
  MS-DOS style path detected: C:\Users\FAMILY~1\AppData\Local\Temp\git-annex-key
gen.5\key
  Preferred POSIX equivalent is: /cygdrive/c/Users/FAMILY~1/AppData/Local/Temp/g
it-annex-keygen.5/key
  CYGWIN environment variable option "nodosfilewarning" turns off this warning.
  Consult the user's guide for more details about POSIX paths:
    http://cygwin.com/cygwin-ug-net/using.html#using-pathnames
Your identification has been saved in C:\Users\FAMILY~1\AppData\Local\Temp\git-a
nnex-keygen.5\key.
Your public key has been saved in C:\Users\FAMILY~1\AppData\Local\Temp\git-annex
-keygen.5\key.pub.
The key fingerprint is:
c7:0f:81:19:c8:39:cc:e1:d3:6a:62:9a:d5:d2:9f:c1 Familyroom@Familyroom-PC
The key's randomart image is:
+--[ RSA 2048]----+
|     +.+.        |
|     .B. +       |
|      o.+ .      |
|     o + . .     |
|    = = E +      |
|   = + . + o     |
|  o     o   .    |
|                 |
|                 |
+-----------------+
[2014-01-01 03:28:07 Eastern Standard Time] chat: ssh ["-p","22","rlbrooks@celeb
dil.db48x.net","sh -c 'mkdir -p '\"'\"'annex/test'\"'\"'&&cd '\"'\"'annex/test'\
"'\"'&&if [ ! -d .git ]; then git init --bare --shared && git config receive.den
yNonFastforwards false; fi&&git annex init&&mkdir -p ~/.ssh&&if [ ! -e ~/.ssh/gi
t-annex-shell ]; then (echo '\"'\"'#!/bin/sh'\"'\"';echo '\"'\"'set -e'\"'\"';ec
ho '\"'\"'if [ \"x$SSH_ORIGINAL_COMMAND\" != \"x\" ]; then'\"'\"';echo '\"'\"'ex
ec git-annex-shell -c \"$SSH_ORIGINAL_COMMAND\"'\"'\"';echo '\"'\"'else'\"'\"';e
cho '\"'\"'exec git-annex-shell -c \"$@\"'\"'\"';echo '\"'\"'fi'\"'\"') > ~/.ssh
/git-annex-shell; fi&&chmod 700 ~/.ssh/git-annex-shell&&touch ~/.ssh/authorized_
keys&&chmod 600 ~/.ssh/authorized_keys&&echo '\"'\"'command=\"GIT_ANNEX_SHELL_DI
RECTORY='\"'\"'\"'\"'\"'\"'\"'\"'annex/test'\"'\"'\"'\"'\"'\"'\"'\"' ~/.ssh/git-
annex-shell\",no-agent-forwarding,no-port-forwarding,no-X11-forwarding ssh-rsa A
AAAB3NzaC1yc2EAAAADAQABAAABAQDeB64i+DhYBCq0mdet6sBr1JCtYR5zNc0E9NYaZbBVRBcpZDCRs
AS1z8mjyEnb49y7AnNgsx/f7xAWtyFHFr8AbrYnaHmJYicix0R6inDXZ42WJTusHVW47/1ysErHmEusZ
KWXNzN5bu8bOoz0FqCh4Ymo3QjgMzk6+PoWqSCmwewuX++RkB6q1IN1VTMqJguPtdQpTp3hCIV6GENf6
HvnLUQ59JKg1sgt5UA88zDAMlXicmUeuHRSW7nVlVIBHFDJW8f5CyF66wiuGTLdhhMlaOqpUqIEHubPF
ZE4iTOC/uuOdWjGgySX681ub4seKyz7h8uDePPo0uz0BXJpt9vT Familyroom@Familyroom-PC\n'\
"'\"' >>~/.ssh/authorized_keys'"]
"""]]

[[!format sh """
$ ssh rlbrooks@git-annex-celebdil.db48x.net-rlbrooks_annex
git-annex-shell: bad parameters

Usage: git-annex-shell [-c] command [parameters ...] [option ..]

Options:
           --force         allow actions that may lose annexed data
  -F       --fast          avoid slow operations
  -a       --auto          automatic mode
  -q       --quiet         avoid verbose output
etc
"""]]

> [[fixed|done]]; both for regular remote ssh servers, and for rsync.net --[[Joey]] 
